Bug 44335 - devel/jakarta-ant does not install man page for 'ant'
Summary: devel/jakarta-ant does not install man page for 'ant'
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: java (show other bugs)
Version: 4.6-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ernst de Haan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-21 13:50 UTC by Ernst de Haan
Modified: 2003-09-25 10:40 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ernst de Haan freebsd_committer 2002-10-21 13:50:01 UTC
The devel/jakarta-ant port should install a man page for 'ant'. It does not.

How-To-Repeat: (1) Install ports/jakarta-ant
(2) Run 'ant' to see it is installed:

	$ ant
	Buildfile: build.xml does not exist!
	Build failed

(3) Check the man page:

	$ man ant
	No manual entry for ant
Comment 1 Ernst de Haan freebsd_committer 2002-10-22 09:02:08 UTC
State Changed
From-To: open->analyzed

This is a valid PR. 


Comment 2 Ernst de Haan freebsd_committer 2002-10-22 09:02:08 UTC
Responsible Changed
From-To: freebsd-java->znerd

Over to maintainer (me).
Comment 3 Hervé Quiroz 2003-09-09 17:14:06 UTC
Ernst,

I've been speaking with people from Debian and they have already built
the forementioned man pages for their own packaging system. I made a
separate package so we may maintain Ant man pages separately from the
Ant tool itself.

I plan to improve these two man pages in the near future. I am working
on a way to produce some DocBook file from the Ant HTML manual (using
XSLT). Then from the DocBook XML file, we could produce the man pages.
But that does not concern much the FreeBSD port as it will be released
in man page format anyway...

Too bad the Ant manual isn't itself produced using DocBook :( ...and the
HTML code needs to be patched before it can be XSLT'ized.

I patched the port. Here is the diff:

diff -ur apache-ant.original/Makefile apache-ant/Makefile
--- apache-ant.original/Makefile	Mon Sep  8 14:35:42 2003
+++ apache-ant/Makefile	Mon Sep  8 16:01:29 2003
@@ -8,15 +8,21 @@
 PORTNAME=	apache-ant
 PORTVERSION=	1.5.4
 CATEGORIES=	devel java
-MASTER_SITES=	http://apache.mirror.trueserver.nl/dist/ant/binaries/ \
-		http://apache.proserve.nl/dist/ant/binaries/ \
-		http://apache.cs.uu.nl/dist/ant/binaries/ \
-		http://dist.apache.easynet.nl/ant/binaries/
-DISTNAME=	${PORTNAME}-${PORTVERSION}-bin
+MASTER_SITES=	http://apache.mirror.trueserver.nl/dist/ant/binaries/:bin \
+		http://apache.proserve.nl/dist/ant/binaries/:bin \
+		http://apache.cs.uu.nl/dist/ant/binaries/:bin \
+		http://dist.apache.easynet.nl/ant/binaries/:bin \
+		http://www.esil.univ-mrs.fr/~hquiroz/:man
+DISTFILES=	${ANT_DISTFILE}:bin \
+		${MANPAGE_DISTFILE}:man

 MAINTAINER=	znerd@FreeBSD.org
 COMMENT=	Java- and XML-based build tool, conceptually similar to make

+ANT_DISTFILE=	${PORTNAME}-${PORTVERSION}-bin.tar.bz2
+MANPAGE_DISTFILE=	${PORTNAME}-manpage-${MANPAGE_VERSION}.tgz
+MANPAGE_VERSION=	20030908
+EXTRACT_ONLY=	${ANT_DISTFILE}
 USE_BZIP2=	yes
 USE_JAVA=	1.2+

@@ -32,6 +38,12 @@
 .endif
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}

+MANPAGE_SUBDIR=	apache-ant-manpage
+MANPAGE_WRKSRC=	${WRKSRC}/${MANPAGE_SUBDIR}
+
+MAN1=		ant.1
+MAN5=		build.xml.5
+
 do-patch:
 	@${CP} ${FILESDIR}/ant ${WRKSRC}/bin/ant

@@ -50,6 +62,9 @@
 	@${RM} -f ${WRKSRC}/lib/parser.jar
 	@${ECHO_CMD} " [ DONE ]"

+post-extract:
+	@${TAR} -C ${WRKSRC} -xzf ${DISTDIR}/${MANPAGE_DISTFILE}
+
 do-install:
 	@${ECHO_CMD} -n ">> Creating destination directory..."
 	@${MKDIR} ${PORTDESTDIR}/bin
@@ -66,6 +81,12 @@
 	@cd ${INSTALL_WRKSRC}; \
 		${INSTALL_DATA} ${READMES} ${PORTDESTDIR};
 	@${ECHO_CMD} " [ DONE ]"
+
+.if !defined(NOPORTDOCS)
+	@${ECHO_CMD} ">> Installing manpages..."
+	${INSTALL_MAN} ${MANPAGE_WRKSRC}/ant.1 ${PREFIX}/man/man1
+	${INSTALL_MAN} ${MANPAGE_WRKSRC}/build.xml.5 ${PREFIX}/man/man5
+.endif

 .if defined(DATADIRS)
 .for DIR in ${DATADIRS}
diff -ur apache-ant.original/distinfo apache-ant/distinfo
--- apache-ant.original/distinfo	Mon Sep  8 14:35:42 2003
+++ apache-ant/distinfo	Tue Sep  9 17:53:01 2003
@@ -1 +1,2 @@
 MD5 (apache-ant-1.5.4-bin.tar.bz2) = 119e50005233700adee54bfe9e997710
+MD5 (apache-ant-manpage-20030908.tgz) = 1fe1fdab6cce4def62005d67d929a9c9
Comment 4 Ernst de Haan freebsd_committer 2003-09-25 10:34:01 UTC
State Changed
From-To: analyzed->closed

Committed, thanks, Herve!